This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Boris Nagaev <bnagaev@gmail.com>
Date: Sun, 8 Nov 2015 23:58:55 +0100
Subject: [PATCH 1/1] do not use winmm

  * do not link against winmm
  * comment out call to timeGetTime (defined in winmm)

winmm was used only to measure performance in an example.

diff --git a/acc/acclib/uclock.ch b/acc/acclib/uclock.ch
index 1111111..2222222 100644
--- a/acc/acclib/uclock.ch
+++ b/acc/acclib/uclock.ch
@@ -157,7 +157,7 @@ ACCLIB_PUBLIC(void, acc_uclock_read) (acc_uclock_handle_p h, acc_uclock_p c)
 #elif (__ACCLIB_UCLOCK_USE_CLOCK)
     c->ticks.t32 = clock();
 #elif (__ACCLIB_UCLOCK_USE_WINMM)
-    c->ticks.t32 = timeGetTime();
+    //c->ticks.t32 = timeGetTime();
 #elif (__ACCLIB_UCLOCK_USE_GETRUSAGE)
     struct rusage ru;
     if (getrusage(RUSAGE_SELF, &ru) != 0) c->ticks.rd = 0;
diff --git a/configure b/configure
index 1111111..2222222 100755
--- a/configure
+++ b/configure
@@ -31409,14 +31409,6 @@ done
 
 
 
-if test "X$GCC" = Xyes; then
-case $host_os in
-cygwin* | mingw* | pw32*)
-     LIBS="$LIBS -lwinmm" ;;
-*)
-     ;;
-esac
-fi
 
 
 
